package com.fs.hisStore.mapper;

import java.util.List;
import com.fs.hisStore.domain.FsPrescribeDrugScrm;

/**
 * 处方药品Mapper接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface FsPrescribeDrugScrmMapper 
{
    /**
     * 查询处方药品
     * 
     * @param drugId 处方药品ID
     * @return 处方药品
     */
    public FsPrescribeDrugScrm selectFsPrescribeDrugById(Long drugId);

    /**
     * 查询处方药品列表
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 处方药品集合
     */
    public List<FsPrescribeDrugScrm> selectFsPrescribeDrugList(FsPrescribeDrugScrm fsPrescribeDrug);

    /**
     * 新增处方药品
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 结果
     */
    public int insertFsPrescribeDrug(FsPrescribeDrugScrm fsPrescribeDrug);

    /**
     * 修改处方药品
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 结果
     */
    public int updateFsPrescribeDrug(FsPrescribeDrugScrm fsPrescribeDrug);

    /**
     * 删除处方药品
     * 
     * @param drugId 处方药品ID
     * @return 结果
     */
    public int deleteFsPrescribeDrugById(Long drugId);

    /**
     * 批量删除处方药品
     * 
     * @param drugIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsPrescribeDrugByIds(Long[] drugIds);
}
